﻿Imports System.ComponentModel
Imports C1Tdbg_Hierarchical_BusinessObject_VB.CustomerData

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        C1TrueDBGrid1.DataView = C1.Win.C1TrueDBGrid.DataViewEnum.Hierarchical
        C1TrueDBGrid1.DataSource = GetCustomerList()
    End Sub

    Private Function GetCustomerList() As CustomerList
        Dim customers As New CustomerList()

        Dim order1 As New Order()
        order1.OrderDate = DateTime.Now
        order1.OrderItems = New BindingList(Of OrderItem)()
        addOrderItem(order1, 2, "Ice Station")
        addOrderItem(order1, 3, "Area7")

        Dim order2 As New Order()
        order2.OrderDate = DateTime.Now
        order2.OrderItems = New BindingList(Of OrderItem)()
        addOrderItem(order2, 7, "Scarecrow")
        addOrderItem(order2, 1, "Hell Island")

        Dim c1 As New Customer()
        c1.CustName = "Matthew R."
        c1.CustOrders = New BindingList(Of Order)()
        c1.CustOrders.Add(order1)
        c1.CustOrders.Add(order2)


        customers.Add(c1)

        Dim order3 As New Order()
        order3.OrderDate = DateTime.Now
        order3.OrderItems = New BindingList(Of OrderItem)()
        addOrderItem(order3, 12, "The Godfather")

        Dim order4 As New Order()
        order4.OrderDate = DateTime.Now
        order4.OrderItems = New BindingList(Of OrderItem)()
        addOrderItem(order4, 6, "The Sicilian")
        addOrderItem(order4, 1, "Omerta")

        Dim c2 As New Customer()
        c2.CustName = "Mario Puzo"
        c2.CustOrders = New BindingList(Of Order)()
        c2.CustOrders.Add(order3)
        c2.CustOrders.Add(order4)

        customers.Add(c2)

        Return customers
    End Function

    Private Sub addOrderItem(order As Order, quantity As Integer, description As String)
        Dim item As New OrderItem()
        item.ItemQuantity = quantity
        item.ItemDescription = description
        order.OrderItems.Add(item)
    End Sub

End Class
